Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_TIO Class Reference

Time Interval Object Implementation. More...

`#include <TAO_TIO.h>`

Collaboration diagram for TAO_TIO:

[legend]
List of all members.

## Public Methods
| TAO_TIO (TimeBase::TimeT lower, TimeBase::TimeT upper)
| Constructor.
| ~TAO_TIO (void)
| Destructor.
virtual TimeBase::IntervalT | time_interval (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| This is the get method for the attribute time interval.
virtual CosTime::OverlapType | spans (CosTime::UTO_ptr time, CosTime::TIO_out overlap ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual CosTime::OverlapType | overlaps (CosTime::TIO_ptr interval, CosTime::TIO_out overlap ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual CosTime::UTO_ptr | time (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Private Attributes
TimeBase::IntervalT | attr_time_interval

## Detailed Description

Time Interval Object Implementation.

The TIO represents a time interval and has operations to compare itself with a UTO or another TIO. It also has an operation to create a UTO from the value of it's time interval.

## Constructor & Destructor Documentation

TAO_TIO::TAO_TIO | ( | TimeBase::TimeT | lower,
|  | TimeBase::TimeT | upper
| ) |

| Constructor.

TAO_TIO::~TAO_TIO | ( | void |  | ) |

| Destructor.

## Member Function Documentation

CosTime::OverlapType TAO_TIO::overlaps | ( | CosTime::TIO_ptr | interval,
|  | CosTime::TIO_out overlap | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| This operation returns a value of type OverlapType depending on how the interval in the object and interval in the parameter TIO overlap. If OverlapType is not OTNoOverlap, then the out parameter overlap contains the overlap interval, otherwise the out parameter contains the gap between the two intervals.

CosTime::OverlapType TAO_TIO::spans | ( | CosTime::UTO_ptr | time,
|  | CosTime::TIO_out overlap | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| This operation returns a value of type OverlapType depending on how the interval in the object and the time range represented by the parameter UTO overlap. If OverlapType is not OTNoOverlap, then the out parameter overlap contains the overlap interval, otherwise the out parameter contains the gap between the two intervals.

CosTime::UTO_ptr TAO_TIO::time | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Returns a UTO in which the inaccuracy interval is equal to the time interval in the TIO and time value is the midpoint of the interval.

TimeBase::IntervalT TAO_TIO::time_interval | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| This is the get method for the attribute time interval.

## Member Data Documentation

TimeBase::IntervalT TAO_TIO::attr_time_interval`[private]`

| This attribute returns an IntervalT structure with the values of its fields filled in with the corresponding values from the TIO.

The documentation for this class was generated from the following files:

- TAO_TIO.h
- TAO_TIO.cpp